> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runtimelabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Quickstart

### Getting Started

View the repository: [Chronologue](https://github.com/runtimelabs-inc/chronologue)

1. **Install `uv`**

   If `uv` is not already installed, you can install it using the following command:

   ```bash theme={null}
   curl -LsSf https://astral.sh/uv/install.sh | sh
   ```

2. **Clone the Repository**

   Clone the repository and navigate into it:

   ```bash theme={null}
   git clone https://github.com/runtimelabs-inc/chronologue.git
   cd chronologue
   ```

3. **Set Up the Environment and Install Dependencies**

   Initialize the project using `uv`:

   ```bash theme={null}
   uv init
   uv venv
   source .venv/bin/activate
   uv pip install -r requirements.txt
   ```

4. **Set Up MCP and API Keys**

Install CLI and calendar dependencies:

```bash theme={null}
uv add "mcp[cli]" httpx
brew install node
```

Start MCP Integration:

```bash theme={null}
uv run mcp
```

Configure API Keys

Create a .env file in the root directory and populate it with your keys:

```bash theme={null}
OPENAI_API_KEY=your-openai-key
CLAUDE_API_KEY=your-anthropic-key
GEMINI_API_KEY=your-gemini-key
LLAMA_API_KEY=your-llama-key
XAI_API_KEY=your-xai-key

GOOGLE_CLIENT_CREDENTIALS=calendar/credentials.json
GOOGLE_TOKEN_FILE=calendar/token.json
```

5. **Run Test Scripts**

Run the following script to transform `.json` data to `.ics`:

```bash theme={null}
python modules/export_ics.py
```

Run this script to transform `.ics` to `.json`:

```bash theme={null}
python modules/import_ics.py
```

<CardGroup>
  <Card title="Google Calendar Sync" icon="calendar" href="/concepts/google-calendar">
    Set up Google Calendar synchronization.
  </Card>

  <Card title="iCalendar Sync" icon="calendar" href="/concepts/icalendar">
    Set up iCalendar synchronization.
  </Card>

  <Card title="MCP Integration" icon="calendar" href="/concepts/mcp-integration">
    Integrate with Model Context Protocol (MCP) server.
  </Card>

  <Card title="Datasets" icon="calendar" href="/examples/datasets">
    Explore sample datasets and example workflows and schema.
  </Card>
</CardGroup>
